Bug 505957 - Review Request: perl-Syntax-Highlight-Perl-Improved - Highlighting of Perl Syntactical Structures
Review Request: perl-Syntax-Highlight-Perl-Improved - Highlighting of Perl Sy...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-14 19:49 EDT by Emmanuel Seyman
Modified: 2009-06-24 15:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.01-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 15:38:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-06-14 19:49:31 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Syntax-Highlight-Perl-Improved/perl-Syntax-Highlight-Perl-Improved.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Syntax-Highlight-Perl-Improved/perl-Syntax-Highlight-Perl-Improved-1.01-1.fc11.src.rpm
Description:
This module provides syntax highlighting for Perl code. The design bias is
roughly line-oriented and streamed (ie, processing a file line-by-line in a
single pass). Provisions may be made in the future for tasks related to "back-
tracking" (ie, re-doing a single line in the middle of a stream) such as
speeding up state copying.
Comment 1 Parag AN(पराग) 2009-06-15 00:19:14 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1414174
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
f8061cb41dde2d9d028f8a5dc41e7e5390825dc1  Syntax-Highlight-Perl-Improved-1.01.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
No tests defined for Syntax::Highlight::Perl::Improved extension.
+ Package perl-Syntax-Highlight-Perl-Improved-1.01-1.fc12.noarch =>
Provides: perl(Syntax::Highlight::Perl::Improved)
Requires: perl(Carp) perl(Data::Dumper) perl(base) perl(constant) perl(strict) perl(vars)
+ Not a GUI application

APPROVED.
Comment 2 Emmanuel Seyman 2009-06-15 02:54:02 EDT
Thanks for the review. Asking for cvs.

New Package CVS Request
=======================
Package Name: perl-Syntax-Highlight-Perl-Improved
Short Description: Highlighting of Perl Syntactical Structures
Owners: eseyman
Branches: F-11 F-10
InitialCC: perl-sig
Comment 3 Jason Tibbitts 2009-06-15 13:20:22 EDT
CVS done.
Comment 4 Fedora Update System 2009-06-15 17:21:06 EDT
perl-Syntax-Highlight-Perl-Improved-1.01-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Syntax-Highlight-Perl-Improved-1.01-1.fc11
Comment 5 Fedora Update System 2009-06-18 07:47:42 EDT
perl-Syntax-Highlight-Perl-Improved-1.01-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Syntax-Highlight-Perl-Improved'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6577
Comment 6 Fedora Update System 2009-06-24 15:37:56 EDT
perl-Syntax-Highlight-Perl-Improved-1.01-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.